> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Onboarding File Upload

> Validates a step file requirement, creates file and document records, and returns a presigned upload URL.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-onboarding-file-upload
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-onboarding-file-upload:
    post:
      operationId: createOnboardingFileUpload
      summary: Create Onboarding File Upload
      description: >-
        Validates a step file requirement, creates file and document records,
        and returns a presigned upload URL.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOnboardingFileUploadRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOnboardingFileUploadResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateOnboardingFileUploadRequest:
      type: object
      properties:
        roleInOrgId:
          type: string
          format: uuid
        stepId:
          type: string
          minLength: 1
        requirementKey:
          type: string
          minLength: 1
        fileName:
          type: string
          minLength: 1
          maxLength: 255
        fileMimeType:
          type: string
          enum:
            - application/pdf
            - image/png
            - image/jpeg
            - image/jpg
        fileSizeInBytes:
          type: integer
          minimum: 1
        documentCategory:
          type: string
          enum:
            - I9_LIST_A_DOCUMENT
            - I9_LIST_B_DOCUMENT
            - I9_LIST_C_DOCUMENT
            - W4_FEDERAL_TAX_FORM
            - STATE_TAX_FORM
            - EMPLOYMENT_AGREEMENT
            - HANDBOOK_ACKNOWLEDGMENT
            - VISA_DOCUMENT
            - ID_DOCUMENT
            - OTHER_ONBOARDING_DOCUMENT
            - COMPANY_DOCUMENTATION
            - PERSONAL_DOCUMENT
            - TAX_DOCUMENT
            - BENEFITS_DOCUMENT
            - PAYROLL_DOCUMENT
            - RESIGNATION_LETTER
            - PERFORMANCE_IMPROVEMENT_PLAN
            - TERMINATION_SUPPORTING_DOCUMENT
        displayName:
          type: string
      required:
        - roleInOrgId
        - stepId
        - requirementKey
        - fileName
        - fileMimeType
        - fileSizeInBytes
        - documentCategory
    CreateOnboardingFileUploadResponse:
      type: object
      properties: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
